import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const hourLimitKillRequestService = createAsyncThunk(
  "HOUR_LIMIT_KILL_REQUEST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("hour_limit/", d);
    dispatch(LOADING_END());

    return { data, status };
  }
);
